%define major 15
%define libname %mklibname etpan %{major}
%define develname %mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	1.0
Release:	%mkrel 4
Group:		System/Libraries
License:	BSD
URL:		http://libetpan.sourceforge.net/ 
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:		libetpan-0.58-drop-ldflags.patch
#--------------------------------------
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}db4.8-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}lockfile-devel
BuildRequires: %{_lib}sasl2-devel
#-------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The purpose of this mail library is to provide a portable, efficient 
framework for different kinds of mail access. When using the drivers 
interface, the interface is the same for all kinds of mail access, 
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries 
Obsoletes:	%mklibname etpan 13 

%description -n %{libname}
The purpose of this mail library is to provide a portable, efficient 
framework for different kinds of mail access. When using the drivers 
interface, the interface is the same for all kinds of mail access, 
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}
Obsoletes:	%mklibname etpan 11 -d < 0.54
Obsoletes: 	%mklibname etpan 13 -d
Provides:	%mklibname etpan 11 -d

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%patch0 -p0

%build
autoreconf -fi
%configure2_5x \
	--without-openssl \
	--with-gnutls \
	--enable-ipv6 \
	--enable-optim \
	--disable-static

%make


%install
rm -rf %{buildroot}
%makeinstall_std

#workaround for *.h detections 
rm -f include/libetpan/libetpan-conf
install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan 

#drop this
rm -f %{buildroot}/%{_libdir}/*.la 

%multiarch_binaries %{buildroot}%{_bindir}/libetpan-config 


%clean
rm -rf %{buidroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
 
%files -n %{develname}
%defattr(-,root,root) 
%doc ChangeLog NEWS 
%doc doc/*
%{_bindir}/libetpan-config
%multiarch %{multiarch_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Fri Jan 31 2014 bb <bb> 1.0-4pclos2014
- rebuild against new rtmpdump
- drop .la files
- disable static build
- adjust BR

* Wed Jul 13 2011 Texstar <texstar at gmail.com> 1.0-3pclos2011
- rebuild

* Wed Sep 08 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- rebuild

* Sat Jul 24 2010 pcserver <pcserver at hush.com> 1.0-1pclos2010
- 1.0

